libcdr::CDRSplineData Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRSplineData ()
| CDRSplineData (const std::vector< std::pair< double, double > > &ps, const std::vector< unsigned > &kntv)
void | clear ()
bool | empty ()
void | create (CDRPath &path) const

## Public Attributes

std::vector< std::pair< double, double > > | points
std::vector< unsigned > | knotVector

## Constructor & Destructor Documentation

## CDRSplineData() [1/2]

libcdr::CDRSplineData::CDRSplineData | ( |  | ) |

inline

## CDRSplineData() [2/2]

libcdr::CDRSplineData::CDRSplineData | ( | const std::vector< std::pair< double, double > > & | ps,
|  | const std::vector< unsigned > & | kntv )

inline

## Member Function Documentation

## clear()

void libcdr::CDRSplineData::clear | ( |  | ) |

inline

## create()

void libcdr::CDRSplineData::create | ( | libcdr::CDRPath & | path | ) | const

## empty()

bool libcdr::CDRSplineData::empty | ( |  | ) |

inline

## Member Data Documentation

## knotVector

std::vector<unsigned> libcdr::CDRSplineData::knotVector

Referenced by CDRSplineData(), CDRSplineData(), clear(), create(), and empty().

## points

std::vector<std::pair<double, double> > libcdr::CDRSplineData::points

Referenced by CDRSplineData(), CDRSplineData(), clear(), create(), and empty().

The documentation for this struct was generated from the following files:

- CDRTypes.h
- CDRTypes.cpp